Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.parse
Interface GrammarSection

All Known Subinterfaces:
  Div, Grammar, Include, IncludedGrammar

    public interface GrammarSection

Nested Class Summary
`static class` | `GrammarSection.Combine`

Field Summary
`static GrammarSection.Combine` | `COMBINE_CHOICE`
`static GrammarSection.Combine` | `COMBINE_INTERLEAVE`
`static java.lang.String` | `START`

Method Summary
`void` | `define(java.lang.String name, GrammarSection.Combine combine, ParsedPattern pattern, Location loc, Annotations anno)`
`Div` | `makeDiv()`
`Include` | `makeInclude()` Returns null if already in an include.
`void` | `topLevelAnnotation(ParsedElementAnnotation ea)`
`void` | `topLevelComment(CommentList comments)`

Field Detail

### COMBINE_CHOICE

    static final GrammarSection.Combine COMBINE_CHOICE

### COMBINE_INTERLEAVE

    static final GrammarSection.Combine COMBINE_INTERLEAVE

### START

    static final java.lang.String START

Method Detail

### define

    void define(java.lang.String name,
                GrammarSection.Combine combine,
                ParsedPattern pattern,
                Location loc,
                Annotations anno)
                throws BuildException

  Throws:
    `BuildException`

### topLevelAnnotation

    void topLevelAnnotation(ParsedElementAnnotation ea)
                            throws BuildException

  Throws:
    `BuildException`

### topLevelComment

    void topLevelComment(CommentList comments)
                         throws BuildException

  Throws:
    `BuildException`

### makeDiv

    Div makeDiv()

### makeInclude

    Include makeInclude()

  Returns null if already in an include.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD